package com.acme.util.ui;


import java.io.Serializable;

public class UserInformationMessage implements Serializable
{
    private int messageType;
    public static final int INFO_MESSAGE_TYPE_INFO = 1;
    public static final int INFO_MESSAGE_TYPE_WARNING = 2;
    public static final int INFO_MESSAGE_TYPE_ERROR = 3;

    private String message;
    private String iconPath;
    private String styleClass;
    private String messageTime;

    public void setMessage(String exceptionMessage)
    {
        this.message = exceptionMessage;
    }

    public String getMessage()
    {
        return message;
    }

    public void setIconPath(String iconPath)
    {
        this.iconPath = iconPath;
    }

    public String getIconPath()
    {
        return iconPath;
    }

    public void setStyleClass(String styleClass)
    {
        this.styleClass = styleClass;
    }

    public String getStyleClass()
    {
        return styleClass;
    }

    public void setMessageTime(String exceptionTime)
    {
        this.messageTime = exceptionTime;
    }

    public String getMessageTime()
    {
        return messageTime;
    }

    public void setMessageType(int messageType)
    {
        this.messageType = messageType;
    }

    public int getMessageType()
    {
        return messageType;
    }

    @Override
    public String toString()
    {
        return getMessageTime() + getMessage();
    }
}
